# PServiceHTTPString Class Reference

`#include <httpsvc.h>`

Inheritance diagram for PServiceHTTPString:

List of all members.

## Public Member Functions

| PServiceHTTPString (const PURL &url, const PString &string)
| PServiceHTTPString (const PURL &url, const PHTTPAuthority &auth)
| PServiceHTTPString (const PURL &url, const PString &string, const PHTTPAuthority &auth)
| PServiceHTTPString (const PURL &url, const PString &string, const PString &contentType)
| PServiceHTTPString (const PURL &url, const PString &string, const PString &contentType, const PHTTPAuthority &auth)
PString | LoadText (PHTTPRequest &)
| Get a block of text data (eg HTML) that the resource contains.

## Protected Member Functions

virtual PBoolean | GetExpirationDate (PTime &when)
| Get a block of data (eg HTML) that the resource contains.

## Constructor & Destructor Documentation

PServiceHTTPString::PServiceHTTPString | ( | const PURL & | url,
|  | const PString & | string |
| ) |  |  | `[inline]`

PServiceHTTPString::PServiceHTTPString | ( | const PURL & | url,
|  | const PHTTPAuthority & | auth |
| ) |  |  | `[inline]`

PServiceHTTPString::PServiceHTTPString | ( | const PURL & | url,
|  | const PString & | string,
|  | const PHTTPAuthority & | auth |
| ) |  |  | `[inline]`

PServiceHTTPString::PServiceHTTPString | ( | const PURL & | url,
|  | const PString & | string,
|  | const PString & | contentType |
| ) |  |  | `[inline]`

PServiceHTTPString::PServiceHTTPString | ( | const PURL & | url,
|  | const PString & | string,
|  | const PString & | contentType,
|  | const PHTTPAuthority & | auth |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual PBoolean PServiceHTTPString::GetExpirationDate | ( | PTime & | when | ) | `[protected, virtual]`

Get a block of data (eg HTML) that the resource contains.

Returns:
  Status of load operation.

Parameters:

  when | Time that the resource expires

Reimplemented from PHTTPResource.

PString PServiceHTTPString::LoadText | ( | PHTTPRequest & |  | ) | `[virtual]`

Get a block of text data (eg HTML) that the resource contains.

The default behaviour is to assert, one of `LoadText()` or `LoadData()` functions must be overridden for correct operation.

Returns:
  String for loaded text.

Reimplemented from PHTTPString.

The documentation for this class was generated from the following file:

- httpsvc.h